HappHapp Docs
Assistants

Update assistant

PATCH
/api/assistants/{id}

Updates an existing assistant's configuration. Requires assistant access permissions.

Authorization

access-token
X-Access-Token<token>

Enter your Access Token (format: happ_...)

In: header

Path Parameters

id*string

Assistant unique identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/assistants/123e4567-e89b-12d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "firstMessage": "string",  "promptText": "string",  "updatedAt": "2019-08-24T14:15:22Z"}
Empty
Empty
Empty